2 Replies Latest reply: Oct 13, 2012 3:36 AM by lllaass
andiet2 Level 1 Level 1 (0 points)

My ipod touch 4 won't work with itunes 10.5, which is insisting that I should update to 10.6. However when I install itunes 10.6 the computer won't run it even though it has the correct specs (512MB RAM and XP service pack 3). It just freezes. Is it common for the advertised compatability to be wrong? Can anyone suggest a fix?


iPod touch, iOS 5.1.1